if status is-interactive
    # Commands to run in interactive sessions can go here
end

# zellij init for alacritty
if string match -q -- alacritty $TERM
  set -gx ZELLIJ_AUTO_EXIT true
  eval (zellij setup --generate-auto-start fish | string collect)
end
# zellij init for alacritty end

# starship custom conf
set -gx STARSHIP_CONFIG $__fish_config_dir/starship.toml
# starship custom conf end
starship init fish | source
# greeting
function fish_greeting
  echo ""
  if [ $TERM = xterm-kitty ]
    fastfetch -c $__fish_config_dir/fmotd/motd.jsonc
  else
    fastfetch -c $__fish_config_dir/fmotd/motd-fallback.jsonc
  end
  echo -e "\nWelcome to fish@$TERM, $USER!"
  #cat $__fish_config_dir/motd
end
# greeting end
# pnpm
set -gx PNPM_HOME "/home/grassblock/.local/share/pnpm"
if not string match -q -- $PNPM_HOME $PATH
  set -gx PATH "$PNPM_HOME" $PATH
end
# pnpm end

# ssh-agent
#set SSH_ENV_FILE "$HOME/.ssh/agent-environment"
#set SSH_TIMEOUT 86400 # 24 hours in seconds

#function ssh_start_agent
#    ssh-agent -c -t "$SSH_TIMEOUT" > "$SSH_ENV_FILE"
#    chmod 600 "$SSH_ENV_FILE"
#    source "$SSH_ENV_FILE"
#    ssh-add # [<id_rsa_path>] Change to your path
#end

#if test -f "$SSH_ENV_FILE"
#    source "$SSH_ENV_FILE"
#    if not ps -p "$SSH_AGENT_PID" > /dev/null
#        ssh_start_agent
#    end
#else
#    ssh_start_agent
#end
## ssh-agent-end
rvm default

# Created by `pipx` on 2023-10-13 01:41:55
set PATH $PATH /home/grassblock/.local/bin
# pipx end

# >>> mamba initialize >>>
# !! Contents within this block are managed by 'mamba init' !!
set -gx MAMBA_EXE "/usr/bin/micromamba"
set -gx MAMBA_ROOT_PREFIX "/home/grassblock/.local/share/micromamba"
$MAMBA_EXE shell hook --shell fish --root-prefix $MAMBA_ROOT_PREFIX | source
# <<< mamba initialize <<<
